Bug 1387319 - [GSS](6.4.z) Call tm.rollback() when handling Status.ROLLING_BACK in CMTTxInterceptor.endTransaction() to corretly remove transaction from _transaction map
Summary: [GSS](6.4.z) Call tm.rollback() when handling Status.ROLLING_BACK in CMTTxInt...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB
Version: 6.4.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.12
Assignee: Fedor Gavrilov
QA Contact: Jan Martiska
URL:
Whiteboard: eap6412-proposed
Depends On:
Blocks: eap6412-payload
TreeView+ depends on / blocked
 
Reported: 2016-10-20 15:49 UTC by Brad Maxwell
Modified: 2020-03-11 15:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 13:13:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-3578 0 Blocker Closed Change CMTTxInterceptor.endTransaction() handling of Status.ROLLING_BACK 2017-08-16 16:10:06 UTC
Red Hat Issue Tracker WFLY-6214 0 Blocker Resolved Change CMTTxInterceptor.endTransaction() handling of Status.ROLLING_BACK 2017-08-16 16:10:06 UTC
Red Hat Knowledge Base (Solution) 2770121 0 None None None 2016-11-16 12:00:28 UTC

Description Brad Maxwell 2016-10-20 15:49:00 UTC

Comment 3 Jiří Bílek 2016-11-10 15:20:12 UTC
Verified with EAP 6.4.12.CP.CR1

Just checked source code

Comment 4 Petr Penicka 2017-01-17 13:13:38 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Comment 5 Petr Penicka 2017-01-17 13:14:49 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.